# $Revision: 1.22 $, $Date: 2012/01/14 19:35:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Locale
%define		pnam	Maketext-Fuzzy
Summary:	Locale::Maketext::Fuzzy - Maketext from already interpolated strings
Summary(pl.UTF-8):	Locale::Maketext::Fuzzy - Maketext z już przybliżonych łańcuchów
Name:		perl-Locale-Maketext-Fuzzy
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	623d791f1b57c076e18e5090d0cb2aca
URL:		http://search.cpan.org/dist/Locale-Maketext-Fuzzy/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Locale-Maketext
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a subclass of Locale::Maketext, with additional support
for localizing messages that already contains interpolated variables.
This is most useful when the messages are returned by external modules
- for example, to match "dir: command not found" against "[_1]: command
not found".

%description -l pl.UTF-8
Ten moduł jest podklasą Locale::Maketext, z dodatkową obsługą
lokalizowanych komunikatów, które już zawierają przybliżone wartości.
Jest to najbardziej przydatne kiedy komunikaty są zwracane przez
zewnętrzne moduły - na przykład, aby dopasować "dir: command not
found" do "[_1]: command not found".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Locale/Maketext/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Locale-Maketext-Fuzzy.spec,v $
Revision 1.22  2012/01/14 19:35:19  zbyniu
- up to 0.11

Revision 1.21  2007/12/24 18:17:56  qboosh
- generic URL

Revision 1.20  2007-12-24 02:18:25  zbyniu
- up to 0.10

Revision 1.19  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:30  paladine
- formatting

Revision 1.16  2004/05/07 01:12:27  ankry
- rel. 4

Revision 1.15  2004/05/06 18:20:29  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.13  2004/04/22 18:21:29  ankry
- license fixes & unification

Revision 1.12  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.11  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:35:40  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/09 14:41:13  qboosh
- pl description, release 2

Revision 1.2  2002/10/05 12:47:34  ankry
- (auto)updated to 0.02

Revision 1.1  2002/09/21 21:01:35  radek
- new, STBR
